Author Topic: vla-rotate selection set  (Read 1183 times)

0 Members and 1 Guest are viewing this topic.

mailmaverick

  • Bull Frog
  • Posts: 494
vla-rotate selection set
« on: September 13, 2017, 01:41:46 AM »
How to rotate a selection set using vla-rotate.

roy_043

  • Water Moccasin
  • Posts: 1895
  • BricsCAD 18
Re: vla-rotate selection set
« Reply #1 on: September 13, 2017, 02:41:18 AM »
You will have to iterate over the selection set and rotate each object separately.

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Re: vla-rotate selection set
« Reply #2 on: September 13, 2017, 09:23:31 PM »
Convert SS to list & use:
Code: [Select]
   (defun GroupRotate (objects bpt ang)
      (setq bpt (vlax-3D-point bpt))
      (mapcar(function(lambda(x)
        (vl-catch-all-apply 'vla-rotate (list x bpt ang))))
       Objects)
  )
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

mailmaverick

  • Bull Frog
  • Posts: 494
Re: vla-rotate selection set
« Reply #3 on: September 14, 2017, 10:12:13 AM »
Thanks.